import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner skener = new Scanner(System.in);
        int n = skener.nextInt();
        int q = skener.nextInt();
        int i = skener.nextInt();
        int d1 = skener.nextInt();
        int p1 = skener.nextInt();
        int kj = skener.nextInt();
        int j = skener.nextInt();




        System.out.print("IZLAZ");


    }
}